# liteyuki.log | LiteyukiBot
A high-performance, easy-to-use chatbot framework and application

Skip to content

# Module `liteyuki.log` ​

Copyright (C) 2020-2024 LiteyukiStudio. All Rights Reserved

@Time : 2024/7/27 上午9:12 @Author : snowykami @Email : snowykami@outlook.com @File : log.py @Software: PyCharm

### func `get_format(level: str) -> str` ​

Description: 获取日志格式

Arguments:

> - level: 日志等级

Source code or View on GitHub
python

    def get_format(level: str) -> str:
        if level == 'DEBUG':
            return debug_format
        else:
            return default_format

### func `init_log(config: dict)` ​

Description: 在语言加载完成后执行

Arguments:

> - config: 配置

Source code or View on GitHub
python

    def init_log(config: dict):
        global logger
        level = config.get('log_level', 'DEBUG')
        logger.remove()
        logger.add(sys.stdout, level=level, diagnose=False, format=get_format(level))
        show_icon = config.get('log_icon', True)
        logger.level('DEBUG', color='<blue>', icon=f"{('🐛' if show_icon else '')}")
        logger.level('INFO', color='<normal>', icon=f"{('ℹ️' if show_icon else '')}")
        logger.level('SUCCESS', color='<green>', icon=f"{('✅' if show_icon else '')}")
        logger.level('WARNING', color='<yellow>', icon=f"{('⚠️' if show_icon else '')}")
        logger.level('ERROR', color='<red>', icon=f"{('⭕' if show_icon else '')}")
        logger.level('CRITICAL', color='<red>', icon=f"{('❌' if show_icon else '')}")
        logger.level('TRACE', color='<cyan>', icon=f"{('🔍' if show_icon else '')}")
        logger.bind()